Bug 572989 - Review Request: sugar-paint - Paint activity for Sugar
Review Request: sugar-paint - Paint activity for Sugar
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SOAS-3
  Show dependency treegraph
 
Reported: 2010-03-12 09:44 EST by Sebastian Dziallas
Modified: 2010-05-24 14:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-24 14:09:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pbrobinson: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sebastian Dziallas 2010-03-12 09:44:32 EST
Spec URL: http://sdz.fedorapeople.org/rpmbuild/sugar-paint.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/sugar-paint-27-1.fc12.src.rpm

Koji Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2049123
Description: This is another package from the Sugar Packaging effort.
Comment 1 Peter Robinson 2010-03-14 17:30:46 EDT
I'll review this one.
Comment 2 Peter Robinson 2010-04-02 07:48:48 EDT
There's a few minor rpmlint bits that need to be fixed but everything else is OK. The job control errors in particular. I think the rest are OK.

So I'm approving this but please fix the rpmlint issues before commit.

APPROVED 

- rpmlint output

$ rpmlint sugar-paint.spec sugar-paint-27-1.fc12.src.rpm sugar-paint-27-1.fc12.x86_64.rpm sugar-paint-debuginfo-27-1.fc12.x86_64.rpm
sugar-paint.spec:10: W: non-standard-group Sugar/Activities
sugar-paint.spec: E: specfile-error sh: line 0: fg: no job control
sugar-paint.src: W: non-standard-group Sugar/Activities
sugar-paint.src: E: specfile-error sh: line 0: fg: no job control
sugar-paint.x86_64: W: non-standard-group Sugar/Activities
sugar-paint.x86_64: E: shared-lib-without-dependency-information /usr/lib64/python2.6/site-packages/fill/_fill.so
3 packages and 1 specfiles checked; 3 errors, 3 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ latest version packaged

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  d9523e113a725c19753af9e0766bbe00  paint-27.xo
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
+ %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
+ package owns all directories it creates
n/a no duplicate files in %files
+ Package perserves timestamps on install
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
+ the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
Comment 3 Sebastian Dziallas 2010-04-03 07:24:41 EDT
New Package CVS Request
=======================
Package Name: sugar-paint
Short Description: Paint activity for Sugar
Owners: sdz pbrobinson
Branches: F-13 F-12 F-11
Comment 4 Kevin Fenzi 2010-04-03 13:38:32 EDT
CVS done (by process-cvs-requests.py).
Comment 5 Sebastian Dziallas 2010-05-24 14:09:50 EDT
Built in Rawhide and others, update being on its way soon. Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.